Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1738 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

Crash on high load

Reported by: DARKMAN Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: driver Version: trunk
Keywords: load panic Cc: spam@jezgra.org
Patch is attached: 0 Pending:

Description

I have strange situation. I have 5 PC-s bridged with atheros cards. Mostly 5ghz links that go up to full 54mbits per second.

0.9.3.3 driver is very stable and almost everything works with it. However signal is not good as in latest trunk.

Latest trunk (actually all that I noticed higher than 0.9.3.3 release) is locking up computer (now I don't know for sure what happens as I'm locked out). On PC all services crash .. http, ftp, sshd.. there is no way to log in but I've set watchdog to reboot if it cannot access remote host.

It just happened on 2 PC-s that I've upgraded to latest SVN. The thing is that both of them rebooted on almost exact amount of transfered data.

674695 KB was breaking point on last. I'm uploading some divx movies and it almost reaches end of first when PC crashes. Those that have NMI enabled seems to reboot. Others just lock up and they don't reboot despite panic=3 in kernel.

I like current releases and fixes for monitor mode and such and I'd love if somebody would look at this thing so it doesent go to next release.

I use just AP mode and sta mode. And it crashes on both. i.e. I was uploading from sta to AP and AP crashed, then I uploaded from AP to sta and remote sta crashed.

any help is grately appritiated.

Change History

01/17/08 07:47:05 changed by anonymous

Also some wierd stuff .. like ap mode now reporting mac of 06:0E:8E:0F:ED:6C instead of 00:0E:8E:0F:ED:6C which it had in 0.9.3.3

01/20/08 04:19:31 changed by mentor

  • priority changed from critical to major.

01/20/08 04:20:10 changed by mentor

re MAC, grep the wlanconfig manpage for bssid

01/20/08 05:07:47 changed by D_man

Ok for that. What about transfering large files (or just some used bandwith over 600mb).. I seem to get crash on every machine.. PII, PIII, Athlon, P4, Duron.. every with diff hardware.. but with multiple cards in it. All atheros. g/a .

01/31/08 15:03:32 changed by DR. D

r3316 and kernel 2.6.24 seems stable for now. I've transfered two 700mb files without reboot.

02/07/08 05:17:09 changed by mtaylor

  • status changed from new to closed.
  • resolution set to fixed.

This was fixed.

02/07/08 06:17:29 changed by mrenzmann

  • milestone set to version 0.9.5.